Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| PDF Clown 0.1.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.pdfclown.documents.contents.objects
Class ContentObject

    java.lang.Object
      org.pdfclown.documents.contents.objects.ContentObject

Direct Known Subclasses:
  CompositeObject, Operation

    @PDF(value=PDF10)
    public abstract class ContentObject

extends Object

Abstract content object [PDF:1.6:4.1].

Since:
  0.0.4
Version:
  0.1.1, 11/01/11
Author:
  Stefano Chizzolini (http://www.stefanochizzolini.it)

Constructor Summary
`ContentObject()`

Method Summary
`void` | `scan(ContentScanner.GraphicsState state)` Applies this object to the specified graphics context, updating the specified graphics state.
`abstract void` | `writeTo(IOutputStream stream, Document context)` Serializes this object to the specified stream.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ContentObject

    public ContentObject()

Method Detail

### scan

    public void scan(ContentScanner.GraphicsState state)

  Applies this object to the specified graphics context, updating the specified graphics state.

  Parameters:
    `state` - Graphics state.
  Since:
    0.1.0

### writeTo

    public abstract void writeTo(IOutputStream stream,
                                 Document context)

  Serializes this object to the specified stream.

  Parameters:
    `stream` - Target stream.
    `context` - Document context.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| PDF Clown 0.1.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Project home page
Copyright © 2006-2013 Stefano Chizzolini. Some Rights Reserved.
This documentation is available under the terms of the GNU Free Documentation License.